| Version: 3.2.5

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
wxRichTextTableBlock Class Reference

`#include <wx/richtext/richtextbuffer.h>`

## Detailed Description

Stores the coordinates for a block of cells.

## Public Member Functions

| wxRichTextTableBlock ()
| wxRichTextTableBlock (int colStart, int colEnd, int rowStart, int rowEnd)
| wxRichTextTableBlock (const wxRichTextTableBlock &block)
void | Init ()
void | Copy (const wxRichTextTableBlock &block)
void | operator= (const wxRichTextTableBlock &block)
bool | operator== (const wxRichTextTableBlock &block)
bool | ComputeBlockForSelection (wxRichTextTable *table, wxRichTextCtrl *ctrl, bool requireCellSelection=true)
| Computes the block given a table (perhaps about to be edited) and a rich text control that may have a selection. More...
bool | IsWholeTable (wxRichTextTable *table) const
| Does this block represent the whole table? More...
int & | ColStart ()
int | ColStart () const
int & | ColEnd ()
int | ColEnd () const
int & | RowStart ()
int | RowStart () const
int & | RowEnd ()
int | RowEnd () const

## Static Public Member Functions

static wxRichTextCell * | GetFocusedCell (wxRichTextCtrl *ctrl)
| Returns the cell focused in the table, if any. More...

## Public Attributes

int | m_colStart
int | m_colEnd
int | m_rowStart
int | m_rowEnd

## Constructor & Destructor Documentation

## ◆ wxRichTextTableBlock() [1/3]

wxRichTextTableBlock::wxRichTextTableBlock | ( |  | ) |

inline

## ◆ wxRichTextTableBlock() [2/3]

wxRichTextTableBlock::wxRichTextTableBlock | ( | int | colStart,
|  | int | colEnd,
|  | int | rowStart,
|  | int | rowEnd
| ) |  |

inline

## ◆ wxRichTextTableBlock() [3/3]

wxRichTextTableBlock::wxRichTextTableBlock | ( | const wxRichTextTableBlock & | block | ) |

inline

## Member Function Documentation

## ◆ ColEnd() [1/2]

int& wxRichTextTableBlock::ColEnd | ( |  | ) |

inline

## ◆ ColEnd() [2/2]

int wxRichTextTableBlock::ColEnd | ( |  | ) | const

inline

## ◆ ColStart() [1/2]

int& wxRichTextTableBlock::ColStart | ( |  | ) |

inline

## ◆ ColStart() [2/2]

int wxRichTextTableBlock::ColStart | ( |  | ) | const

inline

## ◆ ComputeBlockForSelection()

bool wxRichTextTableBlock::ComputeBlockForSelection | ( | wxRichTextTable * | table,
|  | wxRichTextCtrl * | ctrl,
|  | bool | requireCellSelection = `true`
| ) |  |

Computes the block given a table (perhaps about to be edited) and a rich text control that may have a selection.

If no selection, the whole table is used. If just the whole content of one cell is selected, this cell only is used. If the cell contents is not selected and requireCellSelection is false, the focused cell will count as a selected cell.

## ◆ Copy()

void wxRichTextTableBlock::Copy | ( | const wxRichTextTableBlock & | block | ) |

inline

## ◆ GetFocusedCell()

static wxRichTextCell* wxRichTextTableBlock::GetFocusedCell | ( | wxRichTextCtrl * | ctrl | ) |

static

Returns the cell focused in the table, if any.

## ◆ Init()

void wxRichTextTableBlock::Init | ( |  | ) |

inline

## ◆ IsWholeTable()

bool wxRichTextTableBlock::IsWholeTable | ( | wxRichTextTable * | table | ) | const

Does this block represent the whole table?

## ◆ operator=()

void wxRichTextTableBlock::operator= | ( | const wxRichTextTableBlock & | block | ) |

inline

## ◆ operator==()

bool wxRichTextTableBlock::operator== | ( | const wxRichTextTableBlock & | block | ) |

inline

## ◆ RowEnd() [1/2]

int& wxRichTextTableBlock::RowEnd | ( |  | ) |

inline

## ◆ RowEnd() [2/2]

int wxRichTextTableBlock::RowEnd | ( |  | ) | const

inline

## ◆ RowStart() [1/2]

int& wxRichTextTableBlock::RowStart | ( |  | ) |

inline

## ◆ RowStart() [2/2]

int wxRichTextTableBlock::RowStart | ( |  | ) | const

inline

## Member Data Documentation

## ◆ m_colEnd

int wxRichTextTableBlock::m_colEnd

## ◆ m_colStart

int wxRichTextTableBlock::m_colStart

## ◆ m_rowEnd

int wxRichTextTableBlock::m_rowEnd

## ◆ m_rowStart

int wxRichTextTableBlock::m_rowStart